# Fields access control

It is possible to create SecurityRole that remove the access to a set of fields of a given resource, both in read and write mode.&#x20;

For example it is possible to create a role that remove the access to the voyageResult field of the Voyage resource

All the users that will have such role, in the response of the Voyage resource, the field voyageResult will be not present.

POST: [http://dataloy.com/ws/rest/SecurityRole](http://platform-dev.dataloy.com/ws/rest/SecurityRole)

```
{
    "roleName": "VoyageResult",
    "attributeForbiddens": [
        {
            "objectName": "Voyage",
            "attributeName": "voyageResult",
            "read": true,
            "write": true
             
        }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.dataloy.com/api-release-8.5/user-guides/enterprise-functionalities/fields-access-control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
